Bug 230660 - graphics/gif2png: Update to 2.5.11
Summary: graphics/gif2png: Update to 2.5.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL: http://www.catb.org/~esr/gif2png/NEWS
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-15 22:35 UTC by Nathan
Modified: 2019-01-11 14:52 UTC (History)
2 users (show)

See Also:
saper: maintainer-feedback+


Attachments
Update (3.20 KB, patch)
2018-08-15 22:35 UTC, Nathan
no flags Details | Diff
Update (2.93 KB, patch)
2018-08-16 01:37 UTC, Nathan
no flags Details | Diff
Update (2.93 KB, patch)
2018-08-16 01:40 UTC, Nathan
no flags Details | Diff
Update gif2png (2.49 KB, patch)
2018-09-02 22:35 UTC, Marcin Cieślak
no flags Details | Diff
Update; fix man location (1.86 KB, patch)
2018-09-03 02:36 UTC, Nathan
no flags Details | Diff
Update (2.80 KB, patch)
2018-09-30 21:57 UTC, Nathan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-08-15 22:35:54 UTC
Created attachment 196237 [details]
Update

graphics/gif2png:
 
 * Removed localbase from USES
   -- Does not affect current version
 * Removed LICENSE_FILES
   -- LICENSE file no longer exists
 * Updated port to use source's Makefile
   -- I prefer to use included scripts
      unless it's impossible to use
 * Used REINPLACE_CMD for CFLAGS
   -- Adding to MAKE_ENV gave -pipe not found
 
 Changelog:http://www.catb.org/~esr/gif2png/NEWS


Portlint -AC: OK
poudriere(amd64): 10.4, 11.2 worked fine
poudriere(mips): 11.2 Fine
poudriere(armv6): Fine
poudriere(arm64): Fine
Comment 1 Nathan 2018-08-16 01:37:55 UTC
Created attachment 196240 [details]
Update

graphics/gif2png:
 
 * Removed localbase from USES
   -- Does not affect current version
 * Removed LICENSE_FILES
   -- LICENSE file no longer exists
 * Updated port to use source's Makefile
   -- I prefer to use included scripts
      unless it's impossible to use


Portlint -AC: OK
poudriere(amd64): 10.4, 11.2 worked fine
poudriere(mips): 11.2 Fine
poudriere(armv6): Fine
poudriere(arm64): Fine
Comment 2 Nathan 2018-08-16 01:40:28 UTC
Created attachment 196241 [details]
Update
Comment 3 Marcin Cieślak 2018-08-19 21:25:33 UTC
Thanks for picking this up!

I get this:

# make check-plist
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: share/man/man1/gif2png.1
Error: Orphaned: share/man/man1/web2png.1
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: share/man/man1/gif2png.1.gz
Error: Missing: share/man/man1/web2png.1.gz
Comment 4 Nathan 2018-08-19 22:30:13 UTC
(In reply to Marcin Cieślak from comment #3)


That is weird as I started from clear port dir, applied patch and with svn patch and use poudriere for both armv6 and amd64 and I get no errors
Comment 5 Marcin Cieślak 2018-08-19 23:19:09 UTC
Probably something with my environment (this was on a 10.4 box), but still something that may happen to some...
Comment 6 Nathan 2018-08-20 01:38:37 UTC
(In reply to Marcin Cieślak from comment #5)

Doesn't do it on poudriere or actually on my host box. Nor on poudriere(mips)
Comment 7 Marcin Cieślak 2018-09-02 22:35:40 UTC
Created attachment 196804 [details]
Update gif2png

This is my patch. It fixes manpage location and after this "make check-plist" completes without an error.
Comment 8 Nathan 2018-09-03 02:36:19 UTC
Created attachment 196807 [details]
Update; fix man location

graphics/gif2png:

* Removed localbase from USES
  -- Does not affect current version
* Removed LICENSE_FILES
  -- LICENSE file no longer exists
* Updated port to use source's Makefile
  -- I prefer to use included scripts
     unless it's impossible to use
* Replaced cp in Makefile to strip binaries
  -- Avoid having to manually strip it

Changelog:http://www.catb.org/~esr/gif2png/NEWS
Comment 9 Marcin Cieślak 2018-09-30 21:18:24 UTC
Thanks, it is much cleaner now... but I feel I am getting this build error with your diff:

--- gif2png.o ---
gif2png.c:742:2: warning: add explicit braces to avoid dangling else [-Wdangling-else]
        else
        ^
--- memory.o ---
cc -O2 -pipe  -fstack-protector -fno-strict-aliasing -I/usr/local/include -c memory.c -o memory.o
--- version.o ---
cc -O2 -pipe  -fstack-protector -fno-strict-aliasing -I/usr/local/include -c version.c -o version.o
version.c:17:34: error: expected ';' after top level declarator
const char version[] = "gif2png " VERSION;
                                 ^
                                 ;
1 error generated.
*** [version.o] Error code 1
Comment 10 Nathan 2018-09-30 21:57:46 UTC
Created attachment 197648 [details]
Update

 graphics/gif2png:
 
 * Removed localbase from USES
   -- Does not affect current version
 * Removed LICENSE_FILES
   -- LICENSE file no longer exists
 * Updated port to use source's Makefile
   -- I prefer to use included scripts
      unless it's impossible to use
 
 Changes: http://www.catb.org/~esr/gif2png/NEWS
 
 PR:             230660
 Submitted by:   Nathan <ndowens@yahoo.com>
Comment 11 Marcin Cieślak 2018-09-30 22:20:36 UTC
Thanks, that's not a kind of fix I would go for. Need to investigate this a bit.
Comment 12 commit-hook freebsd_committer 2019-01-11 14:52:48 UTC
A commit references this bug:

Author: miwi
Date: Fri Jan 11 14:51:58 UTC 2019
New revision: 489975
URL: https://svnweb.freebsd.org/changeset/ports/489975

Log:
  - Update to 2.5.11

  PR:		230660
  Submitted by:	ndowens@yahoo.com
  Approved by:	maintainer timeout
  Sponsored by:	iXsystems Inc.

Changes:
  head/graphics/gif2png/Makefile
  head/graphics/gif2png/distinfo
  head/graphics/gif2png/files/
  head/graphics/gif2png/files/patch-Makefile